%define upstream_name    Data-UUID-LibUUID
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 17

Summary:	Drop in L<Data::UUID> replacement
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::use::ok)
BuildRequires:	perl-asa
BuildRequires:	perl-devel
BuildRequires:	libuuid-devel


%description
This module provides bindings for libuuid shipped with e2fsprogs or
uuid-dev on debian, and also works with the system _uuid.h_ on darwin.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-17.mga6
+ Revision: 1024964
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-16.mga6
+ Revision: 957091
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.50.0-15.mga6
+ Revision: 844794
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.50.0-14.mga6
+ Revision: 842507
- rebuild with soname-ified perl

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-13.mga5
+ Revision: 788841
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-12.mga5
+ Revision: 742728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-11.mga5
+ Revision: 684251
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-10.mga5
+ Revision: 632212
- perl 5.20.0 rebuild

  + pterjan <pterjan>
    - Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524577
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-7.mga4
+ Revision: 431183
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 365521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 250485
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.50.0-4.mga2
+ Revision: 104116
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.50.0-3.mga1
+ Revision: 31881
- mageia rebuild
- imported package perl-Data-UUID-LibUUID

